//
//  ProfileSettingsWireframe.swift
//  SuperSpaManagement
//
//  Created by PHAM ANH TUAN on 3/12/21.
//  Copyright (c) 2021 ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the 🐍 VIPER generator
//

import UIKit

final class ProfileSettingsWireframe: BaseWireframe {
    
    // MARK: - Private properties -
    
    private let storyboard = UIStoryboard(name: "ProfileSettings", bundle: nil)
    
    // MARK: - Module setup -
    
    init() {
        let moduleViewController = storyboard.instantiateViewController(ofType: ProfileSettingsViewController.self)
        super.init(viewController: moduleViewController)
        
        let interactor = ProfileSettingsInteractor()
        let presenter = ProfileSettingsPresenter(view: moduleViewController, interactor: interactor, wireframe: self)
        moduleViewController.presenter = presenter
    }
    
}

// MARK: - Extensions -

extension ProfileSettingsWireframe: ProfileSettingsWireframeInterface {
    func navigate(to option: ProfileSettingsNavigationOption) {
        switch option {
        case .login:
            break
        }
    }
    
    func detachProfileSettings() {
        navigationController?.popViewController(animated: true)
    }
}
